package com.jeeplus.psimanage.dishManage.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.jeeplus.psimanage.dishManage.domain.PsiDishRoom;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 包房管理
 */
public interface PsiDishRoomMapper extends BaseMapper<PsiDishRoom> {

    List<PsiDishRoom> findList(@Param(Constants.WRAPPER) QueryWrapper<PsiDishRoom> queryWrapper);

    PsiDishRoom queryById(@Param("id") String id);

    Integer checkNoIsExist(@Param("roomNo") String roomNo, @Param("id") String id);

    Integer checkNameIsExist(@Param("roomName") String roomName, @Param("id") String id);

    Integer checkUseStatusIsExist( @Param("id") String id);
}
